Package org.gdal.gdal

# Class RasterAlgebraBinaryOperation

java.lang.Object
org.gdal.gdal.RasterAlgebraBinaryOperation

public final class RasterAlgebraBinaryOperation extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RasterAlgebraBinaryOperation`
  `GRABO_ADD`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_DIV`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_EQ`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_GE`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_GT`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_LE`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_LOGICAL_AND`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_LOGICAL_OR`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_LT`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_MUL`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_NE`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_POW`
  `static final RasterAlgebraBinaryOperation`
  `GRABO_SUB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RasterAlgebraBinaryOperation`
  `swigToEnum(int swigValue)`
  `final int`
  `swigValue()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GRABO_ADD

    public static final RasterAlgebraBinaryOperation GRABO_ADD

  - ### GRABO_SUB

    public static final RasterAlgebraBinaryOperation GRABO_SUB

  - ### GRABO_MUL

    public static final RasterAlgebraBinaryOperation GRABO_MUL

  - ### GRABO_DIV

    public static final RasterAlgebraBinaryOperation GRABO_DIV

  - ### GRABO_POW

    public static final RasterAlgebraBinaryOperation GRABO_POW

  - ### GRABO_GT

    public static final RasterAlgebraBinaryOperation GRABO_GT

  - ### GRABO_GE

    public static final RasterAlgebraBinaryOperation GRABO_GE

  - ### GRABO_LT

    public static final RasterAlgebraBinaryOperation GRABO_LT

  - ### GRABO_LE

    public static final RasterAlgebraBinaryOperation GRABO_LE

  - ### GRABO_EQ

    public static final RasterAlgebraBinaryOperation GRABO_EQ

  - ### GRABO_NE

    public static final RasterAlgebraBinaryOperation GRABO_NE

  - ### GRABO_LOGICAL_AND

    public static final RasterAlgebraBinaryOperation GRABO_LOGICAL_AND

  - ### GRABO_LOGICAL_OR

    public static final RasterAlgebraBinaryOperation GRABO_LOGICAL_OR

- ## Method Details

  - ### swigValue

    public final int swigValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### swigToEnum

    public static RasterAlgebraBinaryOperation swigToEnum(int swigValue)